
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET MVC5实现文件上传与地址变化处理（5）_实用技巧 / iVAN</title>

    <meta name="description" content="ASP.NET MVC5实现文件上传与地址变化处理（5）_实用技巧 一.上传文件和重复文件处理文件处理的原则是:不在数据库中保存文件,只在数据库中保存文件信息(Hash值等).采取文件的MD5重命名文件在一般情况足够处理文件的重复问题,强迫症倾向则可以考虑将MD5和其他摘要算法结合. public static string Save(HttpPostedFileBase file, string path) { var root = &quot;~/Upload/&quot; + path + &quot;/&quot;; var phicyPath = Ho ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET MVC5实现文件上传与地址变化处理（5）_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一.上传文件和重复文件处理<br /></strong>文件处理的原则是：不在数据库中保存文件，只在数据库中保存文件信息（Hash值等）。采取文件的MD5重命名文件在一般情况足够处理文件的重复问题，强迫症倾向则可以考虑将MD5和其他摘要算法结合。</p>
<pre>
public static string Save(HttpPostedFileBase file, string path)
    {
      var root = "~/Upload/" + path + "/";
      var phicyPath = HostingEnvironment.MapPath(root);
      Directory.CreateDirectory(phicyPath);
      var fileName = Md5(file.InputStream) + file.FileName.Substring(file.FileName.LastIndexOf('.'));
      file.SaveAs(phicyPath + fileName);
      return fileName;
    }</pre>
<p><strong>二.单独文件上传</strong><br />
网站Logo、分类图标等各种场景需要单独文件上传的处理。通过使用UIHintAttribute或自定义继承自UIHintAttribute的特性我们将文件上传的前端逻辑的重复代码消灭，使用统一的视图文件处理。曾经使用过Uplodify和AjaxFileUploader，前者存在flash依赖和cookie问题，后者基本已经过时。此处我们采用KindEditor中的文件上传组件作为演示。非Flash的支持IE6+的方案的核心都是通过iframe方式实现伪AJax上传，核心还是通过html form post到服务器。</p>
<pre>
  public class UploadModel
  {
    [Display(Name = "图标")]
    [UIHint("Upload")]
    public string Image { get; set; }

    [Display(Name = "简单模式")]
    [UIHint("Editor")]
    [AdditionalMetadata("useSimple", true)]
    public string Text1 { get; set; }

    [Display(Name = "标准模式")]
    [UIHint("Editor")]
    public string Text2 { get; set; }
  }</pre>
<p>在我们的实际项目中采取继承UIHintAttribute的方式，其中的path路径指定存储的下级地址，类似的还有DropDownAttribute、EditorAtrribute等等。仅供参考。</p>
<pre>
  [AttributeUsage(AttributeTargets.Property)]
  public class UploadAttribute : UIHintAttribute, IMetadataAware
  {
    public string Path { get; private set; }

    public UploadAttribute(string path = "")
      : base("Upload")
    {
      this.Path = path;
    }

    public virtual void OnMetadataCreated(ModelMetadata metadata)
    {
      metadata.AdditionalValues.Add("Path", this.Path);
    }
  }</pre>
<p>Razor：在Shared中添加EditorTemplates文件夹，新建Upload.cshtml文件。</p>
<pre>
&lt;script&gt;
  KindEditor.ready(function (K) {
    var editor = K.editor({
      allowFileManager: false,
      allowImageUpload: true,
      formatUploadUrl: false,
      uploadJson: '@url',
    });
    K('#btn_@id').click(function () {
      editor.loadPlugin('insertfile', function () {
        editor.plugin.fileDialog({
          fileUrl: K('#@id').val(),
          clickFn: function (url, title) {
            K('#@id').val(url);
            $('#image_@id').attr('src', url);
            editor.hideDialog();
          }
        });
      });
    });
  });
  $('#rest_@id').click(function () {
    $('#@id').attr('value', '');
    $('#image_@id').attr('src', '@Url.Content("~/Images/default.png")');
  });
&lt;/script&gt;
</pre>
<p><strong>三.编辑器中的文件上传</strong><br />
编辑器中的文件上传和单独文件上传的主要区别是上传后返回值的处理，编辑器需要将url插入到编辑的位置。编辑器采用过CKeditor和UMeditor，两者都需要我改源代码才能处理路径问题。上传地址和返回值的配置如果不能方便的视图中调整的编辑器，我个人不认为是好编辑器，这就好比一个类库没法扩展和自定义配置一样。仍然采用KindEditor作为演示。Editor.cshtml的</p>
<pre>
&lt;script type="text/javascript"&gt;
  var editor;
  KindEditor.ready(function (K) {
    editor = K.create('textarea[name="@Html.IdForModel()"]', {
      resizeType: 1,
      allowPreviewEmoticons: false,
      allowImageUpload: true,
      uploadJson: '@UploadManager.UploadUrl',
      formatUploadUrl: false,
      allowFileManager: false
      @if(useSimple)
      {
        &lt;text&gt;, items: [
            'fontname', 'fontsize', '|', 'forecolor', 'hilitecolor', 'bold', 'italic', 'underline',
            'removeformat', '|', 'justifyleft', 'justifycenter', 'justifyright', 'insertorderedlist',
            'insertunorderedlist', '|', 'emoticons', 'image', 'link']
        &lt;/text&gt;
      }
    });
  });
&lt;/script&gt;</pre>
<p><strong>四.处理文章中的图片路径</strong><br />
重头戏来了，这个看似问题可以回避，其实真的无法回避。更换目录、域名和端口，使用子域名或其他域名作为图片服务器等等，这些情况让我们必须处理好这个问题，否则日后会浪费更多的时间。这不是小问题，打开支持插入图片的各个网站的编辑器，查看一下图片的路径，大多是绝对url的，又或者只基于根目录的。如果你以产品的形式提供给客户，更不可能要求客户自己挨个替换文章中的路径了。</p>
<p>1.在数据库中不存储文件路径，使用URL路径作为存储。</p>
<p>2.使用html base元素解决相对路径的引用问题。</p>
<p>就是base元素，可能有的人认为这个base可有可无，但在处理图片路径的问题上，没有比base更简洁更优雅的方案了。至少我没有也没找到过。其实可以把全部的静态资源都移除到外部存储，如果你需要。在测试时，我们切换回使用本地存储。</p>
<pre>
@{
  var baseUrl = UploadManager.UrlPrefix;
}
&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
  &lt;meta charset="utf-8" /&gt;
  &lt;meta name="viewport" content="width=device-width, initial-scale=1.0"&gt;
  &lt;link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" /&gt;

  &lt;title&gt;@ViewBag.Title&lt;/title&gt;
  &lt;base href="@baseUrl" /&gt;

  &lt;script src="~/Scripts/jquery-1.11.2.min.js"&gt;&lt;/script&gt;
  @RenderSection("head",false)
&lt;/head&gt;
&lt;body&gt;
  @RenderBody()
&lt;/body&gt;
&lt;/html&gt;</pre>
<p><strong>五.处理上传地址的变化</strong><br />
我们需要独立的图片服务器处理上传或者使用第三方的图片存储服务时，我们的上传地址改变了，如果刚刚提到的图片路径一样，因此我们将上传路径和图片路径都采取配置的方式方便更改，我们就曾经切换到又拍云又切换到自有的服务器。在我的实际使用时配置在数据中使用时采用缓存。为了便于演示我们直接使用配置文件。</p>
<p>首先定义配置文件的处理程序</p>
<pre>
  public class UploadConfig : IConfigurationSectionHandler
  {
    public object Create(object parent, object configContext, System.Xml.XmlNode section)
    {
      var config = new UploadConfig();
      var urloadUrlNode = section.SelectSingleNode("UploadUrl");
      if (urloadUrlNode != null &amp;&amp; urloadUrlNode.Attributes != null &amp;&amp; urloadUrlNode.Attributes["href"] != null)
      {
        config.UploadUrl = Convert.ToString(urloadUrlNode.Attributes["href"].Value);
      }

      var urlPrefixNode = section.SelectSingleNode("UrlPrefix");
      if (urlPrefixNode != null &amp;&amp; urlPrefixNode.Attributes != null &amp;&amp; urlPrefixNode.Attributes["href"] != null)
      {
        config.UrlPrefix = Convert.ToString(urlPrefixNode.Attributes["href"].Value);
      }

      return config;
    }

    public string UploadUrl { get; private set; }

    public string UrlPrefix { get; private set; }
  }
</pre>
<p>在web.config中配置</p>
<pre>
 &lt;configSections&gt;
  &lt;section name="UploadConfig" type="SimpleFileManager.UploadConfig, SimpleFileManager" requirePermission="false" /&gt;
 &lt;/configSections&gt;
 &lt;UploadConfig&gt;
  &lt;UploadUrl href="~/File/Upload/" /&gt;
  &lt;UrlPrefix href="~/Upload/" /&gt;
 &lt;/UploadConfig&gt;</pre>
<p>使用UploadMange缓存和管理配置</p>
<pre>
  public static class UploadManager
  {
    private static string uploadUrl;
    private static string urlPrefix;

    static UploadManager()
    {
      var config = ConfigurationManager.GetSection("UploadConfig") as UploadConfig;
      var url = config != null &amp;&amp; !string.IsNullOrEmpty(config.UploadUrl) ? config.UploadUrl : "~/File/Upload";
      uploadUrl = url.StartsWith("~") ? UploadHelper.GetUrlFromVisualPath(url) : url;
      var prefix = config != null &amp;&amp; !string.IsNullOrEmpty(config.UrlPrefix) ? config.UrlPrefix : "~/Upload";
      urlPrefix = prefix.StartsWith("~") ? UploadHelper.GetUrlFromVisualPath(prefix) : prefix;
    }

    public static string UploadUrl
    {
      get
      {
        return uploadUrl;
      }
    }

    public static string UrlPrefix
    {
      get
      {
        return urlPrefix;
      }
    }
  }
</pre>
<p>文件Hash的Md5、返回值的Json处理、完整URL的生成和文件的保存这些具体技术的依赖为了便于演示，统一放置在UploadHelper中，因为这些不是重点。实际应用中可以采取接口隔离并通过IoC注入的方式解耦。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1OTExMTI1NzE2MzUyLmpwZw==.jpg"></p>
<p>以上就是ASP.NET MVC5如何实现文件上传与地址变化处理的全部过程，希望对大家的学习有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索asp.net<br />
                    ，                文件上传<br />
                    ，                mvc5<br />
                                    地址变化<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 03:40:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e4%b8%8a%e4%bc%a0/" title="文件上传">文件上传</a>, <a href="https://www.iamivan.net/tag/asp-net/" title="asp&period;net">asp&period;net</a>, <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80%e5%8f%98%e5%8c%96/" title="地址变化">地址变化</a>, <a href="https://www.iamivan.net/tag/mvc5/" title="mvc5">mvc5</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET MVC5实现文件上传与地址变化处理（5）_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYV7ob.html" rel="bookmark">asp&period;net web大文件上传带进度条实例代码&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: using System; using System.Data; using System.Configuration; using System.Collections; using System.Web; using System.Web.Security; using System.Web.UI; using System.Web.UI.WebControls; using System.Web.UI.WebControls.WebParts; using Syste			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr27NOM.html" rel="bookmark">ASP&period;NET 常用 文件上传方法第1&sol;2页&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要内容包括: 1.如何解决文件上传大小的限制 2.以文件形式保存到服务器 3.转换成二进制字节流保存到数据库以及下载方法 4.上传Internet上的资源 第一部分: 首先我们来说一下如何解决ASP.NET中的文件上传大小限制的问题,我们知道在默认情况下ASP.NET的文件上传大小限制为2M,一般情况下,我们可以采用更改WEB.Config文件来自定义最大文件大小,如下: 复制代码 代码如下: &lt;httpRuntime executionTimeout=&quot;300&quot; maxR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnnXBM.html" rel="bookmark">通过 AngularJS 和 ASP&period;NET MVC5 实现文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是什么? 如题所示,在这里我将展示一种使用Angular.js和ASP.NET MVC5 来实现上传文件非常简单的方法. 为什么这样做? 网上已经有很多库实现这个功能了.而我的方法会有什么特别之处呢?如果你已经意识到这个问题了,是非常酷的.思考一下为什么我们会被这个问题一直困扰呢? 我们的要求非常简单,我有一个模型,如下: public class TutorialModel { public string Title { get; set; } public string Descripti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0oqwp.html" rel="bookmark">基于ASP&period;NET&plus;EasyUI框架实现图片上传提交表单功能&lpar;js提交图片&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的风格,先给大家展示下效果图,具体效果图如下所示,如果大家感觉还不错很满意请参考实现代码. HTML的代码: &lt;form id=&quot;ff&quot; runat=&quot;server&quot; method=&quot;post&quot;&gt; &lt;div id=&quot;content&quot; style=&quot;margin-left:50px;&quot;&gt; &lt;table style=&quot;width:300px;&quot; id=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QwdaM.html" rel="bookmark">ASP&period;NET MVC图片上传前预览简单实现&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了图片上传前预览并获取图片文件名和图片字节大小的具体实现代码,供大家参考,具体内容如下 在控制器中创建一个Action: 在Views目录下对应的控制器名称下创建视图PreViewing: 上图中 标记1,引用jQuery类库.标记2,选择文件.标记3,预览图片.标记4,显示图片文件名和图片字节大小.标记5,是Javascript代码...... 本例预览: 以上就是本文的全部内容,希望对大家的学习有所帮助.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4JEB1M.html" rel="bookmark">ASP&period;NET MVC5网站开发修改及删除文章（十）&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上次做了显示文章列表,再实现修改和删除文章这部分内容就结束了,这次内容比较简单,由于做过了添加文章,修改文章非常类似,就是多了一个TryUpdateModel部分更新模型数据.一.删除文章 由于公共模型跟,文章,附件有关联,所以这里的删除次序很重要,如果先删除模型,那么文章ModelID和附件的ModelID多会变成null,所以要先先删除文章和附件再删除公共模型. 由于公共模型和附件是一对多的关系,我们把删除公共模型和删除附件写在一起. 在BLL的BaseRepository类中有默认的Del			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWwL0eM.html" rel="bookmark">关于c&num;连接ftp进行上传下载实现原理及代码&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: using System; using System.Collections.Generic; using System.Text; using System.Net; using System.IO; namespace ftponload { class Program { static void Main(string[] args) { //上传文件的方法 onload(&quot;D://outPut.txt&quot;); //下载文件的方法 fload(); } pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmRqEjz.html" rel="bookmark">asp&period;net图片上传生成缩略图的注意事项&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				bitmap.Save(imgPath,ImageFormat.Jpeg);   //这是保存缩略图的一段代码,其中的ImageFormat.Jpeg一定不能省略,即使你保存的文件本来就是jpg格式的,也不能去掉.因为如果去掉的话,生成的缩略图比原始图片还要大! //另外,imgPath必须首先创建,否则会产生GDI+的一般性错误. path=System.Web.HttpContext.Current.Server.MapPath(path); 使用if(!System.IO.Director			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqW7DOz.html" rel="bookmark">ASP&period;NET MVC5网站开发之展示层架构（五）&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				展示层由Ninesky.Web项目实现,负责网站内容的显示,项目包含Member和Control两个区域. Member区域实现网站内容的管理,Control区域实现网站系统管理.结构.功能图如下:  一.Member区域 1.添加Member区域 Ninesky.Web[右键]-&gt; 添加-&gt;区域 . 在弹出的添加区域对话框输入区域名称:Member,完成区域添加. 2.添加Home控制器 Ninesky.Web-&gt;Areas-&gt;Member-&gt;Controllers[右键]			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgw88M.html" rel="bookmark" class="title">利用PHOTOSHOP合成一张写实风格的奇幻空间</a>
					<div>
						  效果预览 步骤 1:新建Photoshop文件 在一开始时,我们要新建一个尺寸为 1200 x 1200像素 Photoshop文件,白色背景. 步骤 2:置入并放置风景图片,图片大图:freei ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5WRAb.html" rel="bookmark" class="title">网页设计参考&colon;网页中文字体对应的英文名</a>
					<div>
						文章简介:有时css文件里面用到中文字体的时候由于字体编码的关系要使用到中文字体的英文字体名字. 有时css文件里面用到中文字体的时候由于字体编码的关系要使用到中文字体的英文字体名字. 然而有些中文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKLdWM.html" rel="bookmark" class="title">js select 选中&colon;js设置select当前选中项</a>
					<div>
						var title = document.getElementById('testid');for(var i=0;i&lt;title.options.length;i++){if(title.op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvakab.html" rel="bookmark" class="title">SQL Server 2000 SP4发布</a>
					<div>
						server  微软官方2005-5-6正式发布了SQL Server 2000 Service Pack 4 (SP4),这也是官方SQL Server 2000产品发布的第一个支持64位的软件包. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWPBAp.html" rel="bookmark" class="title">浅析运营网站项目前你不得不注意的细节</a>
					<div>
						笔者从2008年开始开始运营网站,不知不觉到现在已经过了5年多了,这5年来经历过的风风雨雨是这一生都不能忘却的.笔者也从这5年的经历中体会到运营网站的痛苦与快乐,看着现在越来越多人也涌入个人站长这个行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yPyoz.html" rel="bookmark" class="title">使用 Hive 构建数据仓库：省钱的数据仓库</a>
					<div>
						有 3 个家伙来到了一家企业.第一个(数据仓库)身材魁梧:他带来了历史和经验,而且能言会道,所说的大部分话都是真的.但是,在许多方面,它有些自我膨胀,在另一些方面又有些铺张浪费,而且人们厌烦了各种结果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPrYwz.html" rel="bookmark" class="title">云存储带来的安全隐忧&lpar;下&rpar;</a>
					<div>
						Mildenhall表示,他对Amazon的服务很有信心,但是他仍然很担心数据的安全.如果要将业务数据托管给Amazon的存储服务的话,那么他表示他将需要一个机制来确保数据副本被能够复制迁移回到他的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPjeWz.html" rel="bookmark" class="title">Nagios监控WEB服务的脚本</a>
					<div>
						最近发现Nagios自带的监控WEB 80端口的脚本不太好用,服务已经无法提供了,还是没报警,所以就自己写了一个! Nagios是根据脚本的返回值,来判断服务是否正常的.返回值对应的报警级别如下 0O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4lawp.html" rel="bookmark" class="title">PowerPoint 2010&colon;强化视频表现力</a>
					<div>
						在用PowerPoint制作演示文档的时候,插入一些多媒体内容(如图片.视频等)已经成为必不可少的步骤,因为这些图片.视频等元素能极大丰富演示文档的内容. 那么在即将到来的PowerPoint 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN9l1b.html" rel="bookmark" class="title">一组大气有范儿的黑白色调网站设计</a>
					<div>
						  黑白灰的经典配色是永恒不变的教父级色彩,也是含蓄内秀的典范.今天继续第三弹,15个优雅的黑白灰配色网站.木有配色灵感还可以上网扒色板,如果是黑白灰呢?拿这组高手案例作参考吧. MELANIE DA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AjWnp.html" rel="bookmark" class="title">Win8如何给IE10升级和重装Flash player插件</a>
					<div>
						问题:为了升级IE10中的Flash player插件,用金山卫士清理了Flash插件,然后自己没法重新安装Flash player,提示要用Update更新,该怎么办? 答案:Windows 8的I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLR0Eb.html" rel="bookmark" class="title">Excel表格怎么进行行列自动求和</a>
					<div>
						  打开一个工作表,这个是虚拟的一个工资表,当人名和工资数都填充完成后,在最后一项工资总额,如果一个一个的加会很费时的,现在我们点菜单栏中的公式 点出公式菜单下的工具栏,在函数库找到自动求和 点击自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywKDPz.html" rel="bookmark" class="title">随E浏览器使用手册</a>
					<div>
						  功能&amp;特点: 第一次使用随E,很明显的在页面中会有每日技巧小提示的对话框,对于新手来说是个不错的功能,可以很快的从这些小提示中大致了解软件的一些主要功能及特色,十分方便.实用 在开始介绍之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjxJ4b.html" rel="bookmark" class="title">Win8如何实现其他用户完全控制共享文件</a>
					<div>
						  打开需要共享文件夹所在的磁盘,如下图: 2. 使用鼠标右键点击需要共享的文件夹,选择[属性]. 3. 在共享属性窗口中选择[共享]. 4. 在共享中点击[高级共享]. 5. 勾选&quot;共享此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z094b.html" rel="bookmark" class="title">液晶显示器动态对比度是不是越大越好&quest;</a>
					<div>
						液晶显示器动态对比度的含义 动态对比度指的是液晶显示器在某些特定情况下测得的对比度数值,例如逐一测试屏幕的每一个区域,将对比度最大的区域的对比度值,作为该产品的对比度参数.液晶显示器动态对比度调节,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3qYZM.html" rel="bookmark" class="title">gmail邮箱如何退出登录</a>
					<div>
						  法一.点gmail的退出链接,即可自助退出,点此退出. 法二.点右上角的 齿轮 &gt;&gt; &quot;Google Mail&quot;帮助,跳到帮助页面,右上角就会有个退出了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3ql6M.html" rel="bookmark" class="title">格式化D盘有妙招</a>
					<div>
						  运行-cmd format d: -u 强行格式化 如何还不能解决问题,继续看下面的方法: 步骤1.用下可述办法取消D盘中的页面文件(虚拟内存). 右击我的电脑-属性-&gt;高级-&gt;性能设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Bl6b.html" rel="bookmark" class="title">如何处理鼠标的常见故障</a>
					<div>
						  鼠标常见故障有如下几种:移动不灵活.某个方向上失灵.按键不起作用以及计算机不认鼠标等几种情况. 1.移动不灵活 移动不灵活是指鼠标移动时,屏幕上对应的指针不跟随移动.一般情况下为大幅度移动鼠标时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwEQ8p.html" rel="bookmark" class="title">大数据安全规范</a>
					<div>
						大数据安全规范     一.概述 大数据的安全体系分为五个层次:周边安全.数据安全.访问安全(认证 - authentication和授权 - authorization).访问行为可见.错误处理和异 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42OXNM.html" rel="bookmark" class="title">求救 ssh项目错误-求救- -！SSH项目错误</a>
					<div>
						问题描述 求救- -!SSH项目错误 问题描述:1这个错误是用户登录后,点击某个功能时出现的2奇怪的是只有一部分用户出现这个问题,其他用户使用这个功能无问题3该项目在2台机器上部署的,其中一台完全没问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwGLOp.html" rel="bookmark" class="title">asp实现静态页面浏览次数统计代码</a>
					<div>
						在静态的html页面中要实现文章浏览次数的统计,可以进行js来调用asp教程文件带参数来实现,下面是我写的一款asp实现静态页面点击次数的代码. &lt;% dim conn,connstr,rs c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrEQ8M.html" rel="bookmark" class="title">nginx&period;conf配置文件详解</a>
					<div>
						首先确保安装了 gcc openssl-devel pcre-devel 和 zlib-devel 等软件,其实主要是为了安装 Nginx 期间的编译等,如果不安装,出错的时候,按照提示一个一个安装也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwLEdp.html" rel="bookmark" class="title">C&num; Show&lpar;&rpar;与ShowDialog&lpar;&rpar;的区别</a>
					<div>
						A.WinForm中窗体显示   显示窗体可以有以下2种方法:   Form.ShowDialog方法 (窗体显示为模式窗体)   Form.Show方法 (窗体显示为无模式窗体)   两者具体区别如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrA5aM.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; DZNSegmentedControl</a>
					<div>
						DZNSegmentedControl A drop-in replacement for UISegmentedControl for showing counts, to be used typi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVYB1b.html" rel="bookmark" class="title">OpenCASCADE Coordinate Transforms</a>
					<div>
						OpenCASCADE Coordinate Transforms eryar@163.com Abstract. The purpose of the OpenGL graphics process ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr8oAM.html" rel="bookmark" class="title">android sdk manager-android sdk安装不上，怎么办，都弄了两三天了</a>
					<div>
						问题描述 android sdk安装不上,怎么办,都弄了两三天了 android sdk manager log上出现&quot;unknown host dl-ssl.google.com&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6q1AM.html" rel="bookmark" class="title">解决 IDEA 中src下xml等资源文件无法读取的问题</a>
					<div>
						该问题的实质是,idea对classpath的规定. 在eclipse中,把资源文件放在src文件夹下,是可以找到的: 但是在idea中,直接把资源文件放在src文件夹下,如果不进行设置,是不能被找到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxvjz.html" rel="bookmark" class="title">RequireJS</a>
					<div>
						&lt;script type='text/javascript' src='../scripts/lib/require.js' data-main='../scripts/main.js'&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN254z.html" rel="bookmark" class="title">移动-jQuery 滚动条事件监听</a>
					<div>
						问题描述 jQuery 滚动条事件监听 $(window).scroll(function() { var a = $(this).scrollTop() ;//现在滚动条距离顶端的距离 if (a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGABy3M.html" rel="bookmark" class="title">asp&period;net reportview控件中列属性如何在不同行中显示</a>
					<div>
						问题描述 比如说一个表table1中的列比较多,做在报表中把列全部列出来的话不够宽,想分成若干行来显示,如何实现?如图所示.另外,报表的表控件如何合并纵向单元格?如图中合并姓名那个单元格.图中表名为p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
